<?php
/*
Plugin Name: TravelMap
Version: 0.1.2
Description: Displays your albums on a world map with your itinerary.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=860
Author: Thomas Biscop
Author URI: http://tbphotos.net
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once(dirname(__FILE__) . '/include/constants.php');
include_once(dirname(__FILE__) . '/include/functions.php');

add_event_handler('get_admin_plugin_menu_links', 'travelmap_admin_menu');

function travelmap_admin_menu($menu)
{
 
	$menu[] = array(
		'NAME'  => 'TravelMap',
		'URL'   => get_admin_plugin_menu_link(dirname(__FILE__)) . '/admin.php'
	);
	return $menu;
}

global $conf;
if(isset($conf['TravelMap']))
{
	$conf['TravelMap'] = unserialize($conf['TravelMap']);
}

include_once(dirname(__FILE__).'/include/travelmap.php');
include_once(dirname(__FILE__).'/include/conf_mods.php');
include_once(dirname(__FILE__).'/include/cat_modify.php');
?>